> For the complete documentation index, see [llms.txt](https://docs.debricked.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.debricked.com/product/administration/settings/see-logged-events.md).

# View logged events

{% hint style="info" %}
*Keep in mind that only users with admin rights have access to the event logs.*
{% endhint %}

To ensure transparency, Fortify SCA logs almost all events across the service.\
This enables you to track everything that happens in your company account and manage various aspects of security, performance, and transparency.

The logs can be accessed through the Fortify SCA API, using the endpoints:

```
/api/{version}/open/admin/request-logs/get-request-logs/api/{version}/open/admin/request-logs/get-events
```

To get a list of event logs, simply call the *get-request-logs* endpoint with appropriate filters. Here is an example of a simple request, fetching all events:

```
curl -X 'GET' \'https://debricked.com/api/1.0/open/admin/request-logs/get-request-logs?start=2021-05-10T15%3A52%3A01&page=1&pageSize=20' \  -H 'accept: application/json' \  -H 'Authorization: Bearer <token>
```

In this case, a start date is specified, while the end date is not, which results in data on events from the start date, up to the current date and time. Since the endpoint is paginated, it is required to specify the pages and the page size.

Here is an example of a response:

```
{  "page": 1,  "found": 2,  "requestLogs": [    {      "user": "tony.montana@debricked.com",      "event_name": "Created pull request",      "event_id": 2,      "url": "https://debricked.com/vulnerability/1/repository/2/commit/3/pull-request/generate",      "breadcrumbs": [],      "ip_address": "256.139.13.37",      "timestamp": "2021-11-06 19:45:14",      "method": "GET",      "status_code": 200    },    {      "user": "walter.white@debricked.com",      "eventName": "Visited repository page",      "eventId": 44,      "url": "/app/en/repository/24",      "breadcrumbs": [          {              "url": "../repositories",              "text": "Repositories"          },          {              "url": "",              "text": "owner/dependencies-relations-mess"          }      ],      "ipAddress": "256.139.13.38",      "timestamp": "2021-11-30T12:53:05",      "method": "GET",      "status_code": 200    }  ]}
```

The *breadcrumbs* list all the pages the user visited while using the tool. Note that the breadcrumbs are printed in reverse chronological order, that is, the latest event first and the oldest event last. The URLs in the *breadcrumbs* are relative to the event URL.

### **Filters**

You can customize the logs by selecting additional filters, such as:

* *userEmail -* Filter events performed only by a specific user.
* *url* - Filter events only affecting a given URL. For example, <https://debricked.com/app/en/vulnerability/6552>
* *eventTypeId -* Filter a specific event type.

To filter the logs based on events and get a list of all event names and IDs, you can query the *get-events* endpoint:

```
curl -X 'GET' \  'https://debricked.com/api/1.0/open/admin/request-logs/get-events'   -H 'accept: application/json' \  -H 'Authorization: Bearer <token>
```

Here is an excerpt of the response from the example:

```
[  {    "eventId": 17,    "eventName": "Added comment"  },  {    "eventId": 7,    "eventName": "Added token"  },  {    "eventId": 16,    "eventName": "Changed review status"  },  {    "eventId": 14,    "eventName": "Changed the use case"  },  {    "eventId": 26,    "eventName": "Changed user settings"  }]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.debricked.com/product/administration/settings/see-logged-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
